## Name

gfsd — Gfarm filesystem daemon

## Synopsis

`gfsd` [`options`]

## DESCRIPTION

gfsd is a filesystem daemon for the Gfarm filesystem, which runs on every filesystem node, usually, with root privileges.

gfsd provides remote file operations with access control in the Gfarm filesystem as well as user authentication, file replication, and node resource status monitoring.

It is possible for gfsd to be executed as a non-privileged user process, although only the user that executes the gfsd can be authenticated. Other users cannot use it. For details, see SETUP.private.en document.

## OPTIONS

`-F` `log-file`

  Specifies a log file.

`-L` `log-level`

  Specifies a log priority level. The log output, which priority is higher or equal to this level, will be sent to syslog or standard error. Please refer gfarm2.conf(5) for the priority levels which can be specified by this option.

`-P` `pid-file`

  Specifies a file name which records the process ID of gfsd.

`-c`

  When starting up, gfsd investigates all files stored in a spool directory. This option is useful when a hostname of a file system node is changed. Valid file copies will be registered to the metadata server.

  When the `-c` option is specified twice (or the `-cc` option), invalid file copies that are not registered in the metadata server are deleted.

  When the `-c` option is specified three times (or the `-ccc` option), invalid file copies that are not registered in the metadata server are moved to the lost+found directory in the Gfarm file system. Furthermore, invalid metadata pointing to a missing file copy of the file system node are deleted. This is the default behavior.

`-d`

  Specifies the debug mode. With the -d option, gfsd runs as a foreground process, not a daemon.

  If this option is specified and `-L` is not specified, the log level is set to "debug".

`-f` `config-file`

  Specifies a configuration file that is read instead of the default configuration file.

`-h` `hostname`

  Specifies my own canonical host name.

`-l` `IP-address`

  Specifies the IP address from which the gfsd accepts TCP and UDP requests. The default address is all IP addresses of the host. This option is useful to invoke multiple instances of gfsd to provide multiple spool directories on the host.

`-r` `directory`

  Specifies a spool directory for a Gfarm filesystem on this filesystem node. This option can be specified multiple times to specify multiple spool directories up to five.

`-s` `syslog-facility`

  Specifies a syslog facility to report errors by gfsd. By default, local0 is used.

`-v`

  Makes gfsd output verbose log message on authentication. This is useful, when one has to resolve an issue about GSI authenticaion.

`-?`

  Displays a list of command options.

## FILES

`%%SYSCONFDIR%%/gfarm2.conf`

  configuration file

## SEE ALSO

gfarm2.conf(5)